Bug 153677 - Merge DOMTokenList and DOMSettableTokenList
Summary: Merge DOMTokenList and DOMSettableTokenList
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on: 153831 153832 153875
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 15:10 PST by Simon Pieters
Modified: 2016-02-04 10:45 PST (History)
6 users (show)

See Also:


Attachments
WIP Patch (34.01 KB, patch)
2016-01-31 14:05 PST, Chris Dumez
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (881.65 KB, application/zip)
2016-01-31 15:02 PST, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-yosemite-wk2 (759.40 KB, application/zip)
2016-01-31 15:06 PST, Build Bot
no flags Details
WIP Patch (34.39 KB, patch)
2016-01-31 21:30 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (740.51 KB, application/zip)
2016-01-31 22:28 PST, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-yosemite-wk2 (788.16 KB, application/zip)
2016-01-31 22:32 PST, Build Bot
no flags Details
Patch (48.39 KB, patch)
2016-02-03 17:13 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (48.27 KB, patch)
2016-02-04 08:56 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Radar WebKit Bug Importer 2016-01-29 15:40:06 PST
<rdar://problem/24419675>
Comment 2 Chris Dumez 2016-01-31 12:48:53 PST
I am in favor of this change but I think we should wait for [1] to be merged before making this change.

[1] https://github.com/w3c/web-platform-tests/pull/2522
Comment 3 Chris Dumez 2016-01-31 14:05:20 PST
Created attachment 270346 [details]
WIP Patch

WIP Patch. Waiting for the web-platform-tests to be updated upstream and re-synced to our repo.
Comment 4 WebKit Commit Bot 2016-01-31 14:06:49 PST
Attachment 270346 [details] did not pass style-queue:


ERROR: Source/WebCore/page/DOMWindow.cpp:43:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 30 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Build Bot 2016-01-31 15:02:26 PST
Comment on attachment 270346 [details]
WIP Patch

Attachment 270346 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/765178

New failing tests:
imported/w3c/web-platform-tests/dom/interfaces.html
Comment 6 Build Bot 2016-01-31 15:02:30 PST
Created attachment 270347 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2016-01-31 15:06:10 PST
Comment on attachment 270346 [details]
WIP Patch

Attachment 270346 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/765179

New failing tests:
imported/w3c/web-platform-tests/dom/interfaces.html
Comment 8 Build Bot 2016-01-31 15:06:14 PST
Created attachment 270348 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 9 Chris Dumez 2016-01-31 21:30:19 PST
Created attachment 270372 [details]
WIP Patch
Comment 10 Build Bot 2016-01-31 22:28:21 PST
Comment on attachment 270372 [details]
WIP Patch

Attachment 270372 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/766495

New failing tests:
imported/w3c/web-platform-tests/dom/interfaces.html
Comment 11 Build Bot 2016-01-31 22:28:24 PST
Created attachment 270376 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 12 Build Bot 2016-01-31 22:32:23 PST
Comment on attachment 270372 [details]
WIP Patch

Attachment 270372 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/766496

New failing tests:
imported/w3c/web-platform-tests/dom/interfaces.html
Comment 13 Build Bot 2016-01-31 22:32:28 PST
Created attachment 270377 [details]
Archive of layout-test-results from ews105 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 14 Simon Pieters 2016-02-03 02:03:40 PST
FYI https://github.com/w3c/web-platform-tests/pull/2522 has now been merged.
Comment 15 Chris Dumez 2016-02-03 07:36:06 PST
(In reply to comment #14)
> FYI https://github.com/w3c/web-platform-tests/pull/2522 has now been merged.

(In reply to comment #14)
> FYI https://github.com/w3c/web-platform-tests/pull/2522 has now been merged.

Great, thanks for letting me know. I will update the patch.
Comment 16 Chris Dumez 2016-02-03 17:13:12 PST
Created attachment 270614 [details]
Patch
Comment 17 WebKit Commit Bot 2016-02-03 22:44:09 PST
Comment on attachment 270614 [details]
Patch

Rejecting attachment 270614 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 270614, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
/git.webkit.org/WebKit
   2ab958f..d736222  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 196108 = 2ab958fe28f99e10dfef134913fe6f90ccc8f0e6
r196109 = d736222b61e288503672c3b786cfd27b51921165
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://webkit-queues.webkit.org/results/780256
Comment 18 Chris Dumez 2016-02-04 08:56:28 PST
Created attachment 270660 [details]
Patch
Comment 19 Chris Dumez 2016-02-04 08:57:48 PST
Comment on attachment 270660 [details]
Patch

Clearing flags on attachment: 270660

Committed r196123: <http://trac.webkit.org/changeset/196123>
Comment 20 Chris Dumez 2016-02-04 08:57:53 PST
All reviewed patches have been landed.  Closing bug.